Author Topic: Pair trading lab event bus  (Read 130 times)

Gil Berto

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
Pair trading lab event bus
« on: January 16, 2020, 06:48:03 am »
Hi, i have install PLTRader, on configuration account with access key e secret key the connection failed.
I have this message on log
Unable to subscribe to Pair Trading Lab event bus - connection failed

admin

  • Administrator
  • Sr. Member
  • *****
  • Posts: 253
  • Karma: +9/-0
    • Pair Trading Lab
Re: Pair trading lab event bus
« Reply #1 on: January 16, 2020, 10:46:56 am »
Hello,

this is currently a known issue with certain versions of Java. Unfortunately there is no easy fix possible in our application at the moment, we will need to upgrade our infrastructure. We will, but for now the workaround is either to:

  • downgrade Java to version older than 1.8.0_231, for instance 1.8.0_221 should work fine
  • in Linux / Mac OS you can provide the following option to command line when running the app: -Djdk.tls.namedGroups=secp256k1  (then you can keep your current Java version)

Technical explanation:

The reason is that Java 1.8.0_231 (and other versions) removed some curves used for TLS. Luckily these can be re-enabled by providing extra options to Java in command line: -Djdk.tls.namedGroups=secp256k1

Tested with Oracle Java 1.8.0_231

https://www.oracle.com/technetwork/java/javase/8u231-relnotes-5592812.html

Gil Berto

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
Re: Pair trading lab event bus
« Reply #2 on: January 17, 2020, 04:24:17 am »
I Have installed  1.8.0_221 version, the problem its the same.
I have remove version 1.8.241
I'm using version on WIndows 10
« Last Edit: January 17, 2020, 11:01:05 am by Gil Berto »

admin

  • Administrator
  • Sr. Member
  • *****
  • Posts: 253
  • Karma: +9/-0
    • Pair Trading Lab
Re: Pair trading lab event bus
« Reply #3 on: January 18, 2020, 08:56:32 am »
Ouch...well OK, we will try to upgrade involved part of the infrastructure during this weekend...

Kind regards,
Karel

admin

  • Administrator
  • Sr. Member
  • *****
  • Posts: 253
  • Karma: +9/-0
    • Pair Trading Lab
Re: Pair trading lab event bus
« Reply #4 on: January 19, 2020, 05:06:48 pm »
The infrastructure has been upgraded. Could you test it now please?

Karel

Gil Berto

  • Newbie
  • *
  • Posts: 3
  • Karma: +0/-0
Re: Pair trading lab event bus
« Reply #5 on: January 22, 2020, 05:55:58 am »
Using version PTLTrader 1.5 i have same error!

G

admin

  • Administrator
  • Sr. Member
  • *****
  • Posts: 253
  • Karma: +9/-0
    • Pair Trading Lab
Re: Pair trading lab event bus
« Reply #6 on: January 23, 2020, 07:22:40 am »
This is weird, I have tested it and it works now...we will need to investigate further. Please create a support ticket in Helpdesk and attach your PTL Trader application logfile, I will need to inspect it.

https://www.pairtradinglab.com/faq#ptltrader-log-files